export declare const CHECKED = 1;
export declare const UNCHECKED = 0;
export declare const INDETERMINATE = -1;
/**
 * this class specifies the state(checked, collapsed, disabled) of the node
 */
export declare class NodeState {
    private _checked;
    private _collapsed;
    private _disabled;
    private _hidden;
    constructor(_checked?: number, _collapsed?: boolean, _disabled?: boolean, _hidden?: boolean);
    get checked(): number;
    set checked(checked: number);
    get collapsed(): boolean;
    set collapsed(collapsed: boolean);
    get disabled(): boolean;
    set disabled(disabled: boolean);
    get hidden(): boolean;
    set hidden(hidden: boolean);
}
