import type { SpTreeviewComponent } from '../sp-treeview/sp-treeview.component';
export declare const SELECT_NONE = 0;
export declare const SELECT_CHECKBOX = 1;
export declare const SELECT_RADIO = 2;
/**
 * this class sets the config for complete tree
 */
export declare class TreeLevelConfig {
    private _loadOnce;
    private _allNode;
    private _select;
    private _deleteNode;
    private _addChild;
    private _search;
    private _treeview;
    private loadChildrenStack;
    private _progress;
    private _searchStr;
    constructor(_loadOnce?: boolean, _allNode?: boolean, _select?: number, _deleteNode?: boolean, _addChild?: boolean, _search?: boolean);
    get treeview(): SpTreeviewComponent;
    set treeview(treeview: SpTreeviewComponent);
    get loadOnce(): boolean;
    set loadOnce(loadOnce: boolean);
    get allNode(): boolean;
    set allNode(allNode: boolean);
    get select(): number;
    set select(select: number);
    get search(): boolean;
    set search(search: boolean);
    get searchStr(): string;
    set searchStr(searchStr: string);
    get progress(): boolean;
    set progress(progress: boolean);
    get deleteNode(): boolean;
    set deleteNode(deleteNode: boolean);
    get addChild(): boolean;
    set addChild(addChild: boolean);
    loadChildren(): void;
    childrenLoaded(): void;
    checkloadChildrenStackSize(): void;
}
