import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Config } from '../model/config';
import { Node } from '../model/node';
import { SpTreeviewNodeTemplate } from '../model/sp-treeview-node-template';
import { SpTreeviewNodeTemplateContext } from '../model/sp-treeview-node-template-context';
import { SpTreeviewComponent } from '../sp-treeview/sp-treeview.component';
import * as i0 from "@angular/core";
export declare class SpTreeviewDropdownComponent implements OnInit {
    placeholder: string;
    customSearch: boolean;
    customRootText: string;
    required: boolean;
    nodes: Node[];
    config: Config;
    template: TemplateRef<SpTreeviewNodeTemplate>;
    contextPrototype: SpTreeviewNodeTemplateContext;
    change: EventEmitter<Node[]>;
    delete: EventEmitter<Node>;
    addChild: EventEmitter<Node>;
    loadChildren: EventEmitter<Node>;
    search: EventEmitter<string>;
    searchTo: EventEmitter<string>;
    selectParent: EventEmitter<Node>;
    tree: SpTreeviewComponent;
    chipList: any;
    private chipsDiv;
    visible: boolean;
    selectable: boolean;
    removable: boolean;
    selectedNodes: Node[];
    dropDown: boolean;
    renameNode: EventEmitter<Node>;
    constructor();
    ngOnInit(): void;
    scrollLeft(event: Event): void;
    scrollRight(event: Event): void;
    remove(node: Node): void;
    onChange(nodes: Node[]): void;
    onDelete(value: Node): void;
    onAddChild(node: Node): void;
    onLoadChildren(node: Node): void;
    test(event: any): void;
    testSearch(event: any): void;
    onSelectParent(node: Node): void;
    onRenameNode(node: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpTreeviewDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpTreeviewDropdownComponent, "sp-treeview-dropdown", never, { "placeholder": "placeholder"; "customSearch": "customSearch"; "customRootText": "customRootText"; "required": "required"; "nodes": "nodes"; "config": "config"; "template": "template"; "contextPrototype": "contextPrototype"; "selectedNodes": "selectedNodes"; }, { "change": "change"; "delete": "delete"; "addChild": "addChild"; "loadChildren": "loadChildren"; "search": "search"; "searchTo": "searchTo"; "selectParent": "selectParent"; "renameNode": "renameNode"; }, never, never>;
}
