import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Config } from '../model/config';
import { Node } from '../model/node';
import { SpTreeviewNodeTemplate } from '../model/sp-treeview-node-template';
import { SpTreeviewComponent } from '../sp-treeview/sp-treeview.component';
import * as i0 from "@angular/core";
export declare class SpTreeviewOverlayComponent implements OnInit {
    placeholder: string;
    required: boolean;
    nodes: Node[];
    config: Config;
    template: TemplateRef<SpTreeviewNodeTemplate>;
    contextPrototype: any;
    change: EventEmitter<Node[]>;
    delete: EventEmitter<Node>;
    addChild: EventEmitter<Node>;
    loadChildren: EventEmitter<Node>;
    tree: SpTreeviewComponent;
    chipList: any;
    private chipsDiv;
    visible: boolean;
    selectable: boolean;
    removable: boolean;
    selectedNodes: Node[];
    dropDown: boolean;
    renameNode: EventEmitter<Node>;
    constructor();
    ngOnInit(): void;
    scrollLeft(event: Event): void;
    scrollRight(event: Event): void;
    remove(node: Node): void;
    onChange(nodes: Node[]): void;
    onDelete(value: Node): void;
    onAddChild(node: Node): void;
    onLoadChildren(node: Node): void;
    onRenameNode(node: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpTreeviewOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpTreeviewOverlayComponent, "sp-treeview-overlay", never, { "placeholder": "placeholder"; "required": "required"; "nodes": "nodes"; "config": "config"; "template": "template"; "contextPrototype": "contextPrototype"; }, { "change": "change"; "delete": "delete"; "addChild": "addChild"; "loadChildren": "loadChildren"; "renameNode": "renameNode"; }, never, never>;
}
